#if !defined(__SAI_Main_h__)
#define __SAI_Main_h__
 
#include "CPA_Expt.h"
 
#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */
 
extern CPA_EXPORT void SAI_fn_vFirstInit();
extern CPA_EXPORT void SAI_fn_vInitFixMemory(unsigned long _ulMemSize);
extern CPA_EXPORT void SAI_fn_vInitLevelMemory(unsigned long _ulMemSize);
extern CPA_EXPORT void SAI_fn_vDeleteFixMemory(void);
extern CPA_EXPORT void SAI_fn_vDeleteLevelMemory(void);
extern CPA_EXPORT void SAI_PrintUsedStaticMemory(void);
extern CPA_EXPORT void SAI_fn_vSAIUseFixMemory(void);
extern CPA_EXPORT void SAI_fn_vSAIUseLevelMemory(void);
 
extern CPA_EXPORT void SAI_fn_vFreeLevelMemory();
 
#if defined(__cplusplus)
}
#endif /* __cplusplus */
 
#endif /* __SAI_Main_h__ */
